#filter out plugin .so from provides
%global __provides_exclude_from %{_libdir}/purple-2/.*\\.so

Name:		purple-telegram
Summary:	Libpurple protocol plugin that adds support for the Telegram messenger
Version:	1.3.0
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Networking/Instant messaging
Url:		https://github.com/majn/telegram-purple
Source0:	https://github.com/majn/telegram-purple/releases/download/v%{version}/telegram-purple_%{version}.orig.tar.gz
Patch0:		telegram-purple-fix-libdir.patch
Patch1:		telegram-purple-datadir.patch
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(libwebp)
Provides:	telegram-purple = %{version}-%{release}
#Upstream is not interested in unbundling tgl
Provides:	bundled(tgl) = 2.0.3

%description
Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple based
messengers.

%prep
%setup -qn telegram-purple
%autopatch -p1

%build
pushd tgl
	autoreconf -vfi
popd
autoreconf -vfi

%configure2_5x \
	--with-zlib=%{_prefix}
%make_build

%install
%make_install

chmod 755 %{buildroot}/%{_libdir}/purple-2/telegram-purple.so

%find_lang telegram-purple

%files -f telegram-purple.lang
%doc AUTHORS CHANGELOG.md HACKING* README.md
%dir %{_datadir}/telegram-purple/
%{_datadir}/telegram-purple/server.tglpub
%{_libdir}/purple-2/telegram-purple.so
%{_datadir}/appdata/telegram-purple.metainfo.xml
%{_datadir}/pixmaps/pidgin/protocols/*/telegram.png


%changelog
* Sun Jan 22 2017 wally <wally> 1.3.0-1.mga6
+ Revision: 1082989
- imported package purple-telegram

